linux: 3.5.0-23.35 -proposed tracker

Bug #1103932 reported by Luis Henriques on 2013-01-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Prepare-package-signed
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Canonical Security Team
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Quantal
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.5.0-23.35 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 24. January 2013 10:40 UTC
kernel-stable-Prepare-package-end:Friday, 25. January 2013 14:47 UTC
kernel-stable-Promote-to-proposed-start:Friday, 25. January 2013 14:47 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. January 2013 16:00 UTC
kernel-stable-Verification-testing-start:Friday, 25. January 2013 17:01 UTC
kernel-stable-Security-signoff-end:Saturday, 26. January 2013 11:00 UTC
kernel-stable-Regression-testing-end:Sunday, 27. January 2013 21:01 UTC
kernel-stable-Certification-testing-start:Monday, 28. January 2013 17:00 UTC
kernel-stable-Verification-testing-end:Monday, 28. January 2013 17:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 31. January 2013 11:00 UTC
kernel-stable-Certification-testing-end:Thursday, 31. January 2013 11:00 UTC
kernel-stable-Promote-to-updates-end:Thursday, 31. January 2013 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 31. January 2013 22:01 UTC

Luis Henriques (henrix) on 2013-01-24
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
Luis Henriques (henrix) on 2013-01-24
Changed in linux (Ubuntu):
status: In Progress → Invalid
Luis Henriques (henrix) on 2013-01-24
summary: - linux: 3.5.0-22.35 -proposed tracker
+ linux: 3.5.0-23.35 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1105143
linux-armadaxp - bug 1105145
linux-lowlatency - bug 1105146

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1105149

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and EFI/signed bits ushered through.

Brad Figg (brad-figg) on 2013-01-25
description: updated
Brad Figg (brad-figg) on 2013-01-25
description: updated
John Johansen (jjohansen) wrote :

No CVEs fixed however this kernel fixes regressions in the previous -security kernel

Brad Figg (brad-figg) on 2013-01-26
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-01-27
description: updated
Luis Henriques (henrix) wrote :

No SRUs left to be verified.

Brad Figg (brad-figg) on 2013-01-28
description: updated

Hardware Certification have begun testing this -proposed kernel

Hardware Certification have completed testing this -proposed kernel. Only one system did not submit (BIOS problem). The results are available at: http://people.canonical.com/~hwcert/sru-testing/quantal/3.5.0-23.35/quantal-proposed.html

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

Forgot to tag, apologies

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-01-31
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-23.35

---------------
linux (3.5.0-23.35) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1103932

  [ Upstream Kernel Changes ]

  * Revert "fsnotify: change locking order"
    - LP: #1101666
  * Revert "fsnotify: dont put marks on temporary list when clearing marks
    by group"
    - LP: #1101666
  * Revert "fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()"
    - LP: #1101666
  * Revert "fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1101666
  * Revert "fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list"
    - LP: #1101666
  * Revert "fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed"
    - LP: #1101666
  * Revert "fsnotify: take groups mark_lock before mark lock"
    - LP: #1101666
  * Revert "fsnotify: use reference counting for groups"
    - LP: #1101666
  * Revert "fsnotify: introduce fsnotify_get_group()"
    - LP: #1101666
  * radeon/kms: force rn50 chip to always report connected on analog output
    - LP: #1103320
 -- Luis Henriques <email address hidden> Thu, 24 Jan 2013 11:06:25 +0000

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-01-31
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers